<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:12:04 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Class org.apache.http.cookie.MalformedCookieException (HttpComponents Client 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.apache.http.cookie.MalformedCookieException (HttpComponents Client 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/cookie//class-useMalformedCookieException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MalformedCookieException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.http.cookie.MalformedCookieException</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.cookie"><B>org.apache.http.cookie</B></A></TD>
<TD>The API for client-side state management via cookies.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.cookie"><B>org.apache.http.impl.cookie</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/cookie/package-summary.html"><CODE>org.apache.http.cookie</CODE></A>.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.cookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A> in <A HREF="../../../../../org/apache/http/cookie/package-summary.html">org.apache.http.cookie</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subclasses of <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A> in <A HREF="../../../../../org/apache/http/cookie/package-summary.html">org.apache.http.cookie</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/cookie/CookieRestrictionViolationException.html" title="class in org.apache.http.cookie">CookieRestrictionViolationException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Signals that a cookie violates a restriction imposed by the cookie
 specification.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/cookie/package-summary.html">org.apache.http.cookie</A> that throw <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CookieSpec.</B><B><A HREF="../../../../../org/apache/http/cookie/CookieSpec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the <tt>"Set-Cookie"</tt> Header into an array of Cookies.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse the given cookie attribute value and update the corresponding
 <A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie"><CODE>Cookie</CODE></A> property.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieSpec.</B><B><A HREF="../../../../../org/apache/http/cookie/CookieSpec.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Validate the cookie according to validation rules defined by the
  cookie specification.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/cookie/CookieAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Peforms cookie validation for the given attribute value.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.cookie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A> in <A HREF="../../../../../org/apache/http/impl/cookie/package-summary.html">org.apache.http.impl.cookie</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../org/apache/http/impl/cookie/package-summary.html">org.apache.http.impl.cookie</A> that throw <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie">MalformedCookieException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>IgnoreSpec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/IgnoreSpec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>RFC2109Spec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2109Spec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NetscapeDraftSpec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/NetscapeDraftSpec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the Set-Cookie value into an array of <tt>Cookie</tt>s.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965Spec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BrowserCompatSpec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BrowserCompatSpec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BestMatchSpec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BestMatchSpec.html#parse(org.apache.http.Header, org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/Header.html?is-external=true" title="class or interface in org.apache.http">Header</A>&nbsp;header,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CookieSpecBase.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/CookieSpecBase.html#parse(org.apache.http.HeaderElement[], org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HeaderElement.html?is-external=true" title="class or interface in org.apache.http">HeaderElement</A>[]&nbsp;elems,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965Spec.html#parse(org.apache.http.HeaderElement[], org.apache.http.cookie.CookieOrigin)">parse</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HeaderElement.html?is-external=true" title="class or interface in org.apache.http">HeaderElement</A>[]&nbsp;elems,
      <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicExpiresHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicExpiresHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicDomainHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicDomainHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PublicSuffixFilter.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/PublicSuffixFilter.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicPathHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicPathHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicMaxAgeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicMaxAgeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965DiscardAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965DiscardAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;commenturl)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965CommentUrlAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965CommentUrlAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;commenturl)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965DomainAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965DomainAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;domain)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse cookie domain attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965VersionAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965VersionAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse cookie version attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicCommentHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicCommentHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109VersionHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2109VersionHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109DomainHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2109DomainHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicSecureHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicSecureHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965PortAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965PortAttributeHandler.html#parse(org.apache.http.cookie.SetCookie, java.lang.String)">parse</A></B>(<A HREF="../../../../../org/apache/http/cookie/SetCookie.html" title="interface in org.apache.http.cookie">SetCookie</A>&nbsp;cookie,
      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;portValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse cookie port attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NetscapeDomainHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/NetscapeDomainHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicDomainHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicDomainHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>PublicSuffixFilter.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/PublicSuffixFilter.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109Spec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2109Spec.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BasicPathHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BasicPathHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965DiscardAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965DiscardAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965CommentUrlAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965CommentUrlAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965DomainAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965DomainAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Validate cookie domain attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>CookieSpecBase.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/CookieSpecBase.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>AbstractCookieAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/AbstractCookieAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965VersionAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965VersionAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;validate cookie version attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965Spec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965Spec.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109VersionHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2109VersionHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2109DomainHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2109DomainHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>RFC2965PortAttributeHandler.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/RFC2965PortAttributeHandler.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Validate cookie port attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BestMatchSpec.</B><B><A HREF="../../../../../org/apache/http/impl/cookie/BestMatchSpec.html#validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)">validate</A></B>(<A HREF="../../../../../org/apache/http/cookie/Cookie.html" title="interface in org.apache.http.cookie">Cookie</A>&nbsp;cookie,
         <A HREF="../../../../../org/apache/http/cookie/CookieOrigin.html" title="class in org.apache.http.cookie">CookieOrigin</A>&nbsp;origin)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/cookie/MalformedCookieException.html" title="class in org.apache.http.cookie"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/cookie//class-useMalformedCookieException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MalformedCookieException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
